import { ModuleWithProviders, NgModule } from '@angular/core';

import { SERVICES } from './services';

@NgModule({})
export class MemberRootModule {}

@NgModule({})
export class MemberModule {
  public static forRoot(): ModuleWithProviders<MemberRootModule> {
    return {
      ngModule: MemberRootModule,
      providers: [...SERVICES],
    };
  }
}
